types

# Class: user

Source Location: /lib/types/user.inc

### Class Overview

    baseType
       |
       --user

The account type for user accounts (e.g. Unix, Samba and Kolab).

### Methods

- __construct
- getAlias
- getDefaultListAttributes
- getDescription
- getListAttributeDescriptions
- getListClassName
- getTitleBarSubtitle
- getTitleBarTitle

### Inherited Variables

#### Class: baseType

baseType::$LABEL_BACK_TO_ACCOUNT_LIST
baseType::$LABEL_CREATE_ANOTHER_ACCOUNT

### Inherited Methods

#### Class: baseType

baseType::__construct()
  Creates a new type object.
baseType::getAlias()
  Returns the alias name of this account type.
baseType::getDefaultListAttributes()
  Returns the default attribute list for this account type.
baseType::getDescription()
  Returns the description of this account type.
baseType::getListAttributeDescriptions()
  Returns a list of attributes which have a translated description.
baseType::getListClassName()
  Returns the class name for the list object.
baseType::getSuffixList()
  Returns a list of LDAP suffixes for this type.
baseType::getTitleBarSubtitle()
  Returns the the title text for the title bar on the new/edit page.
baseType::getTitleBarTitle()
  Returns the the title text for the title bar on the new/edit page.
baseType::supportsFileUpload()
  Returns if entries of this type may be created via file upload.

### Class Details

[line 36]
The account type for user accounts (e.g. Unix, Samba and Kolab).
[ Top ]

### Class Methods

### constructor __construct [line 41]

`user __construct( )`

Constructs a new user type object.

#### Tags:

access: | public

Overrides baseType::__construct() (Creates a new type object.)
[ Top ]

### method getAlias [line 52]

`string getAlias( )`

Returns the alias name of this account type.

#### Tags:

return: | alias name

Overrides baseType::getAlias() (Returns the alias name of this account type.)
[ Top ]

### method getDefaultListAttributes [line 79]

`string getDefaultListAttributes( )`

Returns the default attribute list for this account type.

#### Tags:

return: | attribute list

Overrides baseType::getDefaultListAttributes() (Returns the default attribute list for this account type.)
[ Top ]

### method getDescription [line 61]

`string getDescription( )`

Returns the description of this account type.

#### Tags:

return: | description

Overrides baseType::getDescription() (Returns the description of this account type.)
[ Top ]

### method getListAttributeDescriptions [line 89]

`array getListAttributeDescriptions( )`

Returns a list of attributes which have a translated description.

This is used for the head row in the list view.

#### Tags:

return: | list of descriptions

Overrides baseType::getListAttributeDescriptions() (Returns a list of attributes which have a translated description.)
[ Top ]

### method getListClassName [line 70]

`string getListClassName( )`

Returns the class name for the list object.

#### Tags:

return: | class name

Overrides baseType::getListClassName() (Returns the class name for the list object.)
[ Top ]

### method getTitleBarSubtitle [line 144]

`String getTitleBarSubtitle( array $attributes)`

Returns the the title text for the title bar on the new/edit page.

#### Tags:

return: | title text
access: | public

Overrides baseType::getTitleBarSubtitle() (Returns the the title text for the title bar on the new/edit page.)

#### Parameters:

array | $attributes | list of LDAP attributes for the displayed account (null, if new account)

[ Top ]

### method getTitleBarTitle [line 114]

`String getTitleBarTitle( array $attributes)`

Returns the the title text for the title bar on the new/edit page.

#### Tags:

return: | title text
access: | public

Overrides baseType::getTitleBarTitle() (Returns the the title text for the title bar on the new/edit page.)

#### Parameters:

array | $attributes | list of LDAP attributes for the displayed account (null, if new account)

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:15 +0100 by phpDocumentor 1.4.1